import { Base, Type } from "igniteui-angular-core";
import { WorkbookColorInfo } from "igniteui-angular-excel";
import { Color } from "igniteui-angular-core";
import { Workbook } from "igniteui-angular-excel";
/**
 */
export declare class PaletteEntry extends Base {
    static $t: Type;
    private _a;
    constructor(a: WorkbookColorInfo, b: Workbook);
    private _colorInfo;
    /**
     */
    get colorInfo(): WorkbookColorInfo;
    set colorInfo(a: WorkbookColorInfo);
    /**
     */
    get color(): string | Color;
    /**
     * @hidden
     */
    get _color$i(): Color;
}
